<?xml version="1.0" encoding="UTF-8"?>

<OBJECTS    name="">

    <NODE name="CONFIG.GLOBAL::PERFORMA_ADMIN_PORTAL">
        <PARAM name="PDFBaseLocation"   factory="String" value="@cmsWebApp.deploy.dir@"/>
        <PARAM name="DocumentFontPath"  factory="String" value="@config.deploy.dir@/binaries/fonts/"/>         
    </NODE>
    
    <NODE   name="StandardCMSTemplates::PERFORMA_ADMIN_PORTAL">
        
        <MAP    value="ADMIN_PORTAL_HOME" description="Admin Portal Home"   TemplatePage="dynamic_content_form_client.jsp">
            
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/page_admin_home.jsp"/>
                
            </NODE>
            
        </MAP>
        
        <!-- AAdded only for legacy data and should never be used   -->
        <MAP    value="CREATE_JOB"  description="Create Job"    TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
            </NODE>
        </MAP>
        
        <MAP    value="JOBS"    description="Jobs"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page"                 preIncludeJSP="extensions/adminportal/list_jobs.jsp"/>
                <RenderMode name="EditJob"              preIncludeJSP="extensions/adminportal/edit_job.jsp"/>
                <RenderMode name="ViewApplicants"       preIncludeJSP="extensions/adminportal/view_applicants.jsp"/>
                <RenderMode name="ViewApplicantsGrid"   preIncludeJSP="extensions/adminportal/view_applicants_grid.jsp"/>
                <RenderMode name="ApplicantsShortlist"  preIncludeJSP="extensions/adminportal/view_applicants_shortlist.jsp"/>
                <RenderMode name="ApplicantsGrid"       preIncludeJSP="extensions/adminportal/view_applicants_shortlist_grid.jsp"/>
                <RenderMode name="UnsuitableApps"       preIncludeJSP="extensions/adminportal/view_applicants_unsuitable.jsp"/>
                <RenderMode name="ViewApplication"      preIncludeJSP="extensions/adminportal/view_application.jsp"/>
                <RenderMode name="StartJob"             preIncludeJSP="extensions/adminportal/job_start_point.jsp"/>
                <RenderMode name="CreateJob"            preIncludeJSP="extensions/adminportal/job_detail.jsp"/>
                <RenderMode name="AssessmentCriteria"   preIncludeJSP="extensions/adminportal/assessment_criteria.jsp"/>
                <RenderMode name="WorkplaceCulture"     preIncludeJSP="extensions/adminportal/workplace_culture.jsp"/>
                <RenderMode name="JobMatchAssessment"   preIncludeJSP="extensions/adminportal/job_match_assessment.jsp"/>
                <RenderMode name="JobReview"            preIncludeJSP="extensions/adminportal/job_review_submit.jsp"/>
                <RenderMode name="JobPayment"           preIncludeJSP="extensions/adminportal/job_payment.jsp"/>
                <RenderMode name="CardPayment"          preIncludeJSP="extensions/adminportal/card_payment.jsp"/>
                <RenderMode name="CreatedJob"           preIncludeJSP="extensions/adminportal/created_job.jsp"/>
                <RenderMode name="ReplaceCard"          preIncludeJSP="extensions/adminportal/replace_card_payment.jsp"/>
                <RenderMode name="EditCard"             preIncludeJSP="extensions/adminportal/edit_card_payment.jsp"/>
                <RenderMode name="Occupation"           preIncludeJSP="extensions/adminportal/occupation_selector.jsp"/>
            </NODE>
        </MAP>
        
        <!-- AAdded only for legacy data and should never be used   -->
        <MAP    value="CANDIDATES"  description="Candidates"    TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
            </NODE>
        </MAP>
        
        <MAP    value="CLIENTS"    description="Clients"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page"         preIncludeJSP="extensions/adminportal/list_clients.jsp"/>
                <RenderMode name="EditClient"   preIncludeJSP="extensions/adminportal/edit_client.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="MANAGE_USERS"    description="Manage Users"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/manage_users.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="MY_COMPANY"  description="My Company"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page"         preIncludeJSP="extensions/adminportal/hiring_teams.jsp"/>
                <RenderMode name="HiringTeam"   preIncludeJSP="extensions/adminportal/my_company.jsp"/>
                <RenderMode name="ManagePlan"   preIncludeJSP="extensions/adminportal/manage_plan.jsp"/>
                <RenderMode name="Billing"      preIncludeJSP="extensions/adminportal/billing.jsp"/>
                <RenderMode name="ReplaceCard"  preIncludeJSP="extensions/adminportal/replace_card.jsp"/>
                <RenderMode name="EditCard"     preIncludeJSP="extensions/adminportal/edit_card.jsp"/>
                <RenderMode name="Invoices"     preIncludeJSP="extensions/adminportal/invoices.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="BILLING" description="Billing"   TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/billing.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="COMPANY_ACCOUNT_VERIFICATION"    description="Company Account Verification"    TemplatePage="dynamic_content_form.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page"             preIncludeJSP="extensions/adminportal/verify_company.jsp"/>
                <RenderMode name="CompanyProfile"   preIncludeJSP="extensions/adminportal/company_profile.jsp"/>
                <RenderMode name="InviteUsers"      preIncludeJSP="extensions/adminportal/invite_users.jsp"/>
                <RenderMode name="AuthError"        preIncludeJSP="extensions/adminportal/auth_error.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="MY_DETAILS"  description="My Details"   TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/my_details.jsp"/>
            </NODE>
        </MAP>
        
    </NODE>
    
    <NODE name="StandardJSP::AdminPortal">
        <Attribute  name="Menu Icon CSS"            factory="MetaComponent" component="StringAttrib"    mandatory="false"/>
        <Attribute  name="Add Brackline Separator"  factory="MetaComponent" component="BooleanAttrib"   mandatory="false"/>
        <Attribute  name="Additional CSS Class"     factory="MetaComponent" component="StringAttrib"    mandatory="false"/>
        <Attribute  name="Allow Disable"            factory="MetaComponent" component="BooleanAttrib"   mandatory="false"/>
    </NODE>
    
    <NODE name="WEB_BATCH::PERFORMA_ADMIN_PORTAL_BATCH">
        
        <TASK factory="Participant" class="oneit.appservices.batch.DefaultTask" lockName="performa">

            <RUN class="performa.batch.CloseJobBatch"   factory="Participant"/>
            
            <WHEN factory="MetaComponent"   component="BatchSchedule"   selector="performa.runbatch">
                <NODE name="schedule"       class="oneit.appservices.batch.DailySchedule">
                    <NODE name="hourOfDay"      factory="Integer"   value="0"/>
                    <NODE name="minuteOfHour"   factory="Integer"   value="5"/>
                </NODE>
            </WHEN>
            
        </TASK>
        
        <TASK factory="Participant" class="oneit.appservices.batch.DefaultTask" lockName="performa">

            <RUN class="performa.batch.PullStripeDataBatch" factory="Participant"/>
            
            <WHEN factory="MetaComponent"   component="BatchSchedule"   selector="performa.runbatch">
                <NODE name="schedule" class="oneit.appservices.batch.HourlySchedule">
                    <NODE name="minuteOfHour"   factory="Integer"   value="1"/>
                </NODE>
            </WHEN>
            
        </TASK>
        
        <TASK factory="Participant" class="oneit.appservices.batch.DefaultTask" lockName="performa">
            <RUN class="performa.batch.URLShortnerBatch"   factory="Participant"/>

            <WHEN factory="MetaComponent" component="BatchSchedule"  selector="performa.runbatch">
                <NODE name="schedule" class="oneit.appservices.batch.NeverSchedule">
                </NODE>
            </WHEN>
        </TASK>
        
    </NODE>
    
    
    <NODE name="CONFIG.Formatting::AdminPortal">  
        
        <PARAM name="PerformaDateFormatter" factory="Participant"   class="oneit.utils.text.DateFormatterFactory"
               format="MMM dd, yyyy" language="en" country="au"/>
        
        <PARAM name="CurrencyGBPOnlyFormatter" factory="Participant" class="oneit.utils.text.DecimalFormatterFactory">
            <Format factory="String" value="£#,##0"/>
        </PARAM>
            
        <PARAM name="CurrencyEuroOnlyFormatter" factory="Participant" class="oneit.utils.text.DecimalFormatterFactory">
            <Format factory="String" value="€#,##0"/>
        </PARAM>
            
    </NODE>
    
</OBJECTS>